@import 'scss/variables';
@import 'scss/mixins';

.app {
    max-width: 1200px;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0 auto;

    main {
        width: 100%;
        padding: 72px 8px 16px;

        @include respond_to(sm) {
            padding: 72px 16px 16px;
        }
    }
}

.app__header {
    position: fixed;
    top: 0;
    max-width: 1200px;
    width: 100%;
    padding: 16px 8px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    background-color: #fff;
    z-index: 2;
    border-radius: 0px 0px 4px 4px;

    @include respond_to(md) {
        padding: 16px;
    }

    nav {
        display: flex;
        align-items: center;
        justify-content: space-between;
        height: 100%;

        span {
            font-weight: 500;
            margin-left: 8px;
        }

        a {
            display: inline-flex;
            align-items: center;
        }
    }
}

.app__logo {
    width: 24px;
    height: 24px;
}

.app__nav_menu {
    display: none;

    @include respond_to(md) {
        display: flex;
    }

    li:not(:last-of-type) {
        margin-right: 16px;
    }
}

.link {
    font-weight: 500;
}

.active_link {
    font-weight: 700;
    color: #9fc529;
}
